org.apache.jorphan.gui

## Class ObjectTableSorter.Row

- java.lang.Object
- - org.apache.jorphan.gui.ObjectTableSorter.Row

- Enclosing class:
    ObjectTableSorter

      public class ObjectTableSorter.Row
      extends Object

  View row with model mapping. All data relates to model.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Row(int index)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getIndex()`
    `Object` | `getValue()`
    `Object` | `getValueAt(int column)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Row

          protected Row(int index)

  - ### Method Detail

    - #### getIndex

          public int getIndex()

    - #### getValue

          public Object getValue()

    - #### getValueAt

          public Object getValueAt(int column)

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.